//
//  AppController.m
//  ThemeWidget
//
//  Created by Dave Jewell on 09/06/2008.
//  Copyright 2008 Dave Jewell. All rights reserved.
//

#import "AppController.h"

@implementation AppController

extern NSImage * _NSGetThemeWidgetImage (int buttonID, int zero);

- (BOOL) setImage
{
	NSImage * image = _NSGetThemeWidgetImage (_imageID, 0);
	if (image)
	{
		[appWindow setTitle: [NSString stringWithFormat: @"Found image at 0x%x", _imageID]];
		[bigImage setImage: image];
		[smallImage setImage: image];
	}
	
	return image != nil;
}

- (void) bump: (int) delta
{
	for (;;)
	{
		_imageID += delta;
		if (_imageID > 0xffff) _imageID = 0; else
		if (_imageID < 0) _imageID = 0xffff;
		if ([self setImage]) return;
	}
}

- (void) awakeFromNib
{
	for (_imageID = 0; _imageID < 0xffff; _imageID++) 		
		if ([self setImage]) break;
}

- (IBAction) next: (id) sender
{
	[self bump: 1];
}

- (IBAction) prev: (id) sender
{
	[self bump: -1];
}

@end
